// POSIX compat for solaris 2.6
//
//      gcc -shared -fPIC -o faketime1999.so -o faketime.c -ldl
//
// This will return a fixed 14/12/1999 date, change as needed,
// then set LD_LIBRARY_PATH to the location of the shared object
// and intercept the system calls to time() by preloading with
// LD_PRELOAD.
//
#define _XOPEN_SOURCE 500
#include <stdio.h>
#include <time.h>
#include <sys/types.h>

time_t time(time_t *tloc)
{
    if (tloc != NULL) {
        *tloc = 946684800;
    }
    return 946684800;
}


